[arch-commits] Commit in happy/repos (extra-i686 extra-i686/PKGBUILD)

Vesa Kaihlavirta vesa at archlinux.org
Mon May 4 02:41:23 EDT 2009


    Date: Monday, May 4, 2009 @ 02:41:22
  Author: vesa
Revision: 37875

Merged revisions 356,37873 via svnmerge from 
svn+ssh://vesa@archlinux.org/srv/svn-packages/happy/trunk

........
  r356 | aaron | 2008-04-19 01:56:27 +0300 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r37873 | vesa | 2009-05-04 09:38:41 +0300 (Mon, 04 May 2009) | 2 lines
  
  Updates from dons
........

Modified:
  happy/repos/extra-i686/	(properties)
  happy/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)


Property changes on: happy/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /happy/trunk:1
   + /happy/trunk:1-37874

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-04 06:40:41 UTC (rev 37874)
+++ extra-i686/PKGBUILD	2009-05-04 06:41:22 UTC (rev 37875)
@@ -3,29 +3,25 @@
 # Contributor: Vesa Kaihlavirta <vegai at iki.fi>
  
 pkgname=happy
-pkgver=1.17
+pkgver=1.18.4
 pkgrel=1
 pkgdesc="The Parser Generator for Haskell"
 url="http://www.haskell.org/happy/"
 arch=('i686' 'x86_64')
-license=("BSD")
-depends=(gmp bash)
+license=("custom:BSD3")
+depends=(gmp)
 makedepends=(ghc)
-conflicts=()
-replaces=()
-backup=()
-install=
-source=(http://www.haskell.org/$pkgname/dist/$pkgver/$pkgname-$pkgver.tar.gz)
-md5sums=('4bc931a8630ecebb751a2a8e60219313')
+options=(strip)
+source=(http://hackage.haskell.org/packages/archive/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz)
+md5sums=('614e3ef9623dbeefc4c8ca699912efb4')
 
+
 build() {
-  cd "$startdir/src/${pkgname}-${pkgver}"
-  # Configure package
+  cd $startdir/src/${pkgname}-${pkgver}
+
   ./Setup.lhs configure --prefix=/usr || return 1
-  # Build package
   ./Setup.lhs build || return 1
-  # Install package
-  ./Setup.lhs copy --copy-prefix=$startdir/pkg/usr
-  # Install license
+  ./Setup.lhs copy --destdir=$startdir/pkg || return 1
+
   install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list